Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statsvn.util
Class SilentLogger

    java.lang.Object
      net.sf.statsvn.util.SilentLogger

All Implemented Interfaces:
  TaskLogger

    public class SilentLogger

extends Object
implements TaskLogger

Basic implementation to nothingness.

Version:
  $Revision$
Author:
  Benoit Xhenseval

Constructor Summary
`SilentLogger()`

Method Summary
`void` | `error(String arg)` Generic interface for logging error.
`void` | `info(String arg)` Generic interface for logging info.
`void` | `log(String text)` log text to the System.out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SilentLogger

    public SilentLogger()

Method Detail

### log

    public final void log(String text)

  log text to the System.out.

  Specified by:
    `log` in interface `TaskLogger`
  Parameters:
    `text` - the text to log.

### error

    public void error(String arg)

  Description copied from interface: `TaskLogger`
  Generic interface for logging error.

  Specified by:
    `error` in interface `TaskLogger`
  Parameters:
    `arg` - the string to log.

### info

    public void info(String arg)

  Description copied from interface: `TaskLogger`
  Generic interface for logging info.

  Specified by:
    `info` in interface `TaskLogger`
  Parameters:
    `arg` - the string to log.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD